mav_mouseGet(3)

NAME
mav_mouseGet - Sample the current mouse position and button status.

LEVEL
Maverik Level 1

SYNTAX
void mav_mouseGet(MAV_window *w, int *x, int *y, int *rx, int *ry, int *buts);

ARGUMENTS

MAV_window *w
    Window.

int *x,
    returns (x, y) position of mouse relative to window origin (pixels).

int *rx,
    returns (x, y) position of mouse relative to root window origin (pixels).

int *buts
    returns button status.

DESCRIPTION
This function returns the current mouse position (x,y) in window w, and with respect to the root (background) window (rx,ry). If non-NULL, the array buts is filled with the status (MAV_PRESSED or MAV_RELEASED) of each button.